Ticket #186 (closed bug: fixed)

Opened 6 years ago

Last modified 5 years ago

Jack crashes after export in Ardour, or just on some Ardour crash

Reported by: blindekinder Assigned to:
Priority: major Milestone: FFADO 2.0
Component: Version: FFADO 2.0-rc1 (1.999.40)
Keywords: Cc:
The device the bug applies to:

Description

Hi, title says all... since my first try with freebob until now with FFADO 2.0 RC1, jack and Ardour crashes after export. I use an Edirol FA-101... Here is the log (-v4):

ffado_streaming_wait
============================================
Xruns: 0
============================================
----------------------------------------------------
Dumping StreamProcessorManager information...
Period count:  84817
Data type: float
 Receive processors...
 StreamProcessor 0x753330, Receive:
  Port, Channel    : 0, 0
  Packets, Dropped, Skipped : 15757789, 0, 0
  Now                   : 00564864652 (022s 7875c 0652t)
  Xrun?                 : False
  State                 : ePS_Running
  Buffer                : 0x753460
  Framerate             : Nominal: 44100, Sync: 44099.317471, Buffer 44099.317471
  Sync delay             : 98304.000000 ticks (176.397263 frames, 32.000000 cy)
  TimestampedBuffer (0x753460): 0200 frames, 0200 events
   Timestamps           : head:  564728712.718, Tail:  564840170.226, Next tail:  564844628.526
    Head - Tail         :    -111457.508
   DLL Rate             : 4458.234581 (557.279323)
 Transmit processors...
 StreamProcessor 0x74b8b0, Transmit:
  Port, Channel    : 0, 1
  Packets, Dropped, Skipped : 15757984, 0, 0
  Now                   : 00564867307 (022s 7876c 0235t)
  Xrun?                 : False
  State                 : ePS_Running
  Buffer                : 0x74c210
  Framerate             : Nominal: 44100, Sync: 44099.317471, Buffer 44099.790800
  Sync delay             : 0.000000 ticks (0.000000 frames, 0.000000 cy)
  TimestampedBuffer (0x74c210): 2304 frames, 2304 events
   Timestamps           : head:  565254998.222, Tail:  566538974.972, Next tail:  567109631.274
    Head - Tail         :   -1283976.750
   DLL Rate             : 570653.752273 (557.279055)
----------------------------------------------------

02188762782: Warning (IsoHandler.cpp)[ 543] getPacket: reconstructed CTR counter discrepancy
02188762809: Warning (IsoHandler.cpp)[ 545] getPacket:  ingredients: 1073, 37073000, 3307379A, 355293FA, 32FFB79A, 27, 26, 25, 627338138
02188762820: Warning (IsoHandler.cpp)[ 546] getPacket:  diffcy = 120 
02188762832: Warning (IsoHandler.cpp)[ 543] getPacket: reconstructed CTR counter discrepancy
02188762839: Warning (IsoHandler.cpp)[ 545] getPacket:  ingredients: 1074, 37074000, 3307479A, 35529929, 32FFB79A, 27, 26, 25, 627341210
02188762849: Warning (IsoHandler.cpp)[ 546] getPacket:  diffcy = 121 
02188762858: Warning (IsoHandler.cpp)[ 543] getPacket: reconstructed CTR counter discrepancy
02188762865: Warning (IsoHandler.cpp)[ 545] getPacket:  ingredients: 1075, 37075000, 3307579A, 35529B90, 32FFB79A, 27, 26, 25, 627344282
02188762874: Warning (IsoHandler.cpp)[ 546] getPacket:  diffcy = 122 
02188762883: Warning (IsoHandler.cpp)[ 543] getPacket: reconstructed CTR counter discrepancy
02188762890: Warning (IsoHandler.cpp)[ 545] getPacket:  ingredients: 1076, 37076000, 3307679A, 3552A1F6, 32FFB79A, 27, 26, 25, 627347354
02188762899: Warning (IsoHandler.cpp)[ 546] getPacket:  diffcy = 123 
02188762917: Warning (IsoHandler.cpp)[ 543] getPacket: reconstructed CTR counter discrepancy
02188762923: Warning (IsoHandler.cpp)[ 545] getPacket:  ingredients: 1077, 37077000, 3307779A, 3552A53A, 32FFB79A, 27, 26, 25, 627350426
02188762933: Warning (IsoHandler.cpp)[ 546] getPacket:  diffcy = 124 
02188762943: Warning (IsoHandler.cpp)[ 543] getPacket: reconstructed CTR counter discrepancy
02188762950: Warning (IsoHandler.cpp)[ 545] getPacket:  ingredients: 1078, 37078000, 3307879A, 3552A7B9, 32FFB79A, 27, 26, 25, 627353498
02188762959: Warning (IsoHandler.cpp)[ 546] getPacket:  diffcy = 125 
02188762957: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188762969: Warning (IsoHandler.cpp)[ 543] getPacket: reconstructed CTR counter discrepancy
02188762973: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FF3, 34FF3000, 32FF38C3, 3552A8F8, 32FFF8C3, 26, 26, 25, 626945219
02188762984: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -12 
02188763003: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763011: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FF4, 34FF4000, 32FF48C3, 3552B17C, 32FFF8C3, 26, 26, 25, 626948291
02188763020: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -11 
02188763031: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188762976: Warning (IsoHandler.cpp)[ 545] getPacket:  ingredients: 1079, 37079000, 3307979A, 3552AA38, 32FFB79A, 27, 26, 25, 627356570
02188763047: Warning (IsoHandler.cpp)[ 546] getPacket:  diffcy = 126 
02188763061: Warning (IsoHandler.cpp)[ 543] getPacket: reconstructed CTR counter discrepancy
02188763068: Warning (IsoHandler.cpp)[ 545] getPacket:  ingredients: 107A, 3707A000, 3307A79A, 3552B6F5, 32FFB79A, 27, 26, 25, 627359642
02188763076: Warning (IsoHandler.cpp)[ 546] getPacket:  diffcy = 127 
02188763085: Warning (IsoHandler.cpp)[ 543] getPacket: reconstructed CTR counter discrepancy
02188763092: Warning (IsoHandler.cpp)[ 545] getPacket:  ingredients: 107B, 3707B000, 3307B79A, 3552B974, 32FFB79A, 27, 26, 25, 627362714
02188763101: Warning (IsoHandler.cpp)[ 546] getPacket:  diffcy = 128 
02188763111: Warning (IsoHandler.cpp)[ 543] getPacket: reconstructed CTR counter discrepancy
02188763117: Warning (IsoHandler.cpp)[ 545] getPacket:  ingredients: 107C, 3707C000, 3307C79A, 3552BBC2, 32FFB79A, 27, 26, 25, 627365786
02188763126: Warning (IsoHandler.cpp)[ 546] getPacket:  diffcy = 129 
02188763039: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FF5, 34FF5000, 32FF58C3, 3552B444, 32FFF8C3, 26, 26, 25, 626951363
02188763154: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -10 
02188763170: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763177: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FF6, 34FF6000, 32FF68C3, 3552C56C, 32FFF8C3, 26, 26, 25, 626954435
02188763186: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -9 
02188763199: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763205: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FF7, 34FF7000, 32FF78C3, 3552C84D, 32FFF8C3, 26, 26, 25, 626957507
02188763214: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -8 
02188763225: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763231: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FF8, 34FF8000, 32FF88C3, 3552CACC, 32FFF8C3, 26, 26, 25, 626960579
02188763239: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -7 
02188763248: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763276: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FF9, 34FF9000, 32FF98C3, 3552D102, 32FFF8C3, 26, 26, 25, 626963651
02188763286: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -6 
02188763303: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763318: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FFA, 34FFA000, 32FFA8C3, 3552D649, 32FFF8C3, 26, 26, 25, 626966723
02188763328: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -5 
02188763340: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763346: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FFB, 34FFB000, 32FFB8C3, 3552D9D7, 32FFF8C3, 26, 26, 25, 626969795
02188763355: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -4 
02188763364: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763370: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FFC, 34FFC000, 32FFC8C3, 3552E025, 32FFF8C3, 26, 26, 25, 626972867
02188763379: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -3 
02188763389: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763396: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FFD, 34FFD000, 32FFD8C3, 3552E2A4, 32FFF8C3, 26, 26, 25, 626975939
02188763405: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -2 
02188763418: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763424: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FFE, 34FFE000, 32FFE8C3, 3552E554, 32FFF8C3, 26, 26, 25, 626979011
02188763433: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -1 
02188763441: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02188763447: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: FFF, 34FFF000, 32FFF8C3, 3552E7A2, 32FFF8C3, 26, 26, 25, 626982083
02188763456: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = 0 
libiec61883 warning: Established connection on channel 0.
You may need to manually set the channel on the receiving node.
libiec61883 warning: Established connection on channel 1.
You may need to manually set the channel on the transmitting node.
02259537491: Warning (IsoHandler.cpp)[ 388] putPacket: (0x754de0) dropped < 1 (-426), cycle: 3670, last_cycle: 4095, dropped: 0
02259537533: Debug (StreamProcessor.cpp)[ 451] putPacket: (0x753330) Correcting timestamp for dropped cycles, discarding packet...
02265995742: Error (IsoHandler.cpp)[ 646] prepare: Incorrect state, expected E_Initialized, got 3
02265995919: Fatal (IsoHandler.cpp)[ 692] enable: Could not prepare handler
02265996012: Error (StreamProcessor.cpp)[1167] scheduleStartDryRunning: Could not start handler for SP 0x74b8b0
02265996099: Error (StreamProcessorManager.cpp)[ 396] startDryRunning: Could not put SP 0x74b8b0 into the dry-running state
02265996192: Error (IsoHandler.cpp)[ 646] prepare: Incorrect state, expected E_Initialized, got 3
02265996294: Fatal (IsoHandler.cpp)[ 692] enable: Could not prepare handler
02265996465: Error (StreamProcessor.cpp)[1167] scheduleStartDryRunning: Could not start handler for SP 0x74b8b0
02265996548: Error (StreamProcessorManager.cpp)[ 396] startDryRunning: Could not put SP 0x74b8b0 into the dry-running state
02265996639: Error (IsoHandler.cpp)[ 646] prepare: Incorrect state, expected E_Initialized, got 3
02265996721: Fatal (IsoHandler.cpp)[ 692] enable: Could not prepare handler
02265996802: Error (StreamProcessor.cpp)[1167] scheduleStartDryRunning: Could not start handler for SP 0x74b8b0
02265996883: Error (StreamProcessorManager.cpp)[ 396] startDryRunning: Could not put SP 0x74b8b0 into the dry-running state
02265996973: Error (IsoHandler.cpp)[ 646] prepare: Incorrect state, expected E_Initialized, got 3
02265997061: Fatal (IsoHandler.cpp)[ 692] enable: Could not prepare handler
02265997142: Error (StreamProcessor.cpp)[1167] scheduleStartDryRunning: Could not start handler for SP 0x74b8b0
02265997223: Error (StreamProcessorManager.cpp)[ 396] startDryRunning: Could not put SP 0x74b8b0 into the dry-running state
02265997330: Error (IsoHandler.cpp)[ 646] prepare: Incorrect state, expected E_Initialized, got 3
02265997412: Fatal (IsoHandler.cpp)[ 692] enable: Could not prepare handler
02265997493: Error (StreamProcessor.cpp)[1167] scheduleStartDryRunning: Could not start handler for SP 0x74b8b0
02265997575: Error (StreamProcessorManager.cpp)[ 396] startDryRunning: Could not put SP 0x74b8b0 into the dry-running state
02265997664: Error (IsoHandler.cpp)[ 646] prepare: Incorrect state, expected E_Initialized, got 3
02265997746: Fatal (IsoHandler.cpp)[ 692] enable: Could not prepare handler
02265997860: Error (StreamProcessor.cpp)[1167] scheduleStartDryRunning: Could not start handler for SP 0x74b8b0
02265997943: Error (StreamProcessorManager.cpp)[ 396] startDryRunning: Could not put SP 0x74b8b0 into the dry-running state
02265998039: Error (IsoHandler.cpp)[ 646] prepare: Incorrect state, expected E_Initialized, got 3
02265998138: Fatal (IsoHandler.cpp)[ 692] enable: Could not prepare handler
02265998219: Error (StreamProcessor.cpp)[1167] scheduleStartDryRunning: Could not start handler for SP 0x74b8b0
02265998318: Error (StreamProcessorManager.cpp)[ 396] startDryRunning: Could not put SP 0x74b8b0 into the dry-running state
02265998497: Error (IsoHandler.cpp)[ 646] prepare: Incorrect state, expected E_Initialized, got 3
02265998580: Fatal (IsoHandler.cpp)[ 692] enable: Could not prepare handler
02265998661: Error (StreamProcessor.cpp)[1167] scheduleStartDryRunning: Could not start handler for SP 0x74b8b0
02265998742: Error (StreamProcessorManager.cpp)[ 396] startDryRunning: Could not put SP 0x74b8b0 into the dry-running state
02265998831: Error (IsoHandler.cpp)[ 646] prepare: Incorrect state, expected E_Initialized, got 3
02265998914: Fatal (IsoHandler.cpp)[ 692] enable: Could not prepare handler
02265998995: Error (StreamProcessor.cpp)[1167] scheduleStartDryRunning: Could not start handler for SP 0x74b8b0
02265999083: Error (StreamProcessorManager.cpp)[ 396] startDryRunning: Could not put SP 0x74b8b0 into the dry-running state
02265999164: Fatal (StreamProcessorManager.cpp)[ 785] start: Could not syncStartAll...
02267137463: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137493: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CD4, D1CD4000, CFCD4771, D21EC672, CFCE2771, 104, 105, 103, 2554001265
02267137504: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -14 
02267137515: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137522: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CD5, D1CD5000, CFCD5771, D21ECBD2, CFCE2771, 104, 105, 103, 2554004337
02267137532: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -13 
02267137547: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137554: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CD6, D1CD6000, CFCD6771, D21ED2E5, CFCE2771, 104, 105, 103, 2554007409
02267137564: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -12 
02267137575: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137581: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CD7, D1CD7000, CFCD7771, D21ED57C, CFCE2771, 104, 105, 103, 2554010481
02267137590: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -11 
02267137599: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137607: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CD8, D1CD8000, CFCD8771, D21ED7E3, CFCE2771, 104, 105, 103, 2554013553
02267137617: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -10 
02267137628: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137635: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CD9, D1CD9000, CFCD9771, D21EDA93, CFCE2771, 104, 105, 103, 2554016625
02267137644: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -9 
02267137656: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137663: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CDA, D1CDA000, CFCDA771, D21EE143, CFCE2771, 104, 105, 103, 2554019697
02267137673: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -8 
02267137688: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137695: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CDB, D1CDB000, CFCDB771, D21EE425, CFCE2771, 104, 105, 103, 2554022769
02267137717: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -7 
02267137727: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137734: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CDC, D1CDC000, CFCDC771, D21EE7FC, CFCE2771, 104, 105, 103, 2554025841
02267137743: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -6 
02267137753: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137760: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CDD, D1CDD000, CFCDD771, D21EEAAC, CFCE2771, 104, 105, 103, 2554028913
02267137769: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -5 
02267137779: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137785: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CDE, D1CDE000, CFCDE771, D21EF113, CFCE2771, 104, 105, 103, 2554031985
02267137794: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -4 
02267137802: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137808: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CDF, D1CDF000, CFCDF771, D21EF360, CFCE2771, 104, 105, 103, 2554035057
02267137817: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -3 
02267137828: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137834: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CE0, D1CE0000, CFCE0771, D21EF5C7, CFCE2771, 104, 105, 103, 2554038129
02267137843: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -2 
02267137853: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137859: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CE1, D1CE1000, CFCE1771, D21EF82D, CFCE2771, 104, 105, 103, 2554041201
02267137868: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = -1 
02267137876: Warning (IsoHandler.cpp)[ 450] putPacket: reconstructed CTR counter discrepancy
02267137882: Warning (IsoHandler.cpp)[ 452] putPacket:  ingredients: 1CE2, D1CE2000, CFCE2771, D21EFA7B, CFCE2771, 104, 105, 103, 2554044273
02267137892: Warning (IsoHandler.cpp)[ 453] putPacket:  diffcy = 0 
02267141151: Fatal (ffado.cpp)[ 211] ffado_streaming_start: Could not start the streaming system
firewire ERR: Could not start streaming threads: -1
DRIVER NT: could not start driver
could not restart driver after freewheeling
jackd watchdog: timeout - killing jackd
Abandon

Attachments

syslog (5.4 kB) - added by blindekinder on 12/23/08 09:44:30.
ardour-crash-jack-too.console (127.7 kB) - added by sobukus on 12/30/08 12:36:46.
console output of jack while crashing with ardour
ffado-diag.sobukus (4.3 kB) - added by sobukus on 12/30/08 12:39:35.
ffado-diag output for sobukus' box
ffado-diag_blindekinder.txt (7.6 kB) - added by blindekinder on 01/02/09 03:42:15.

Change History

(follow-up: ↓ 2 ) 12/17/08 08:04:14 changed by blindekinder

I'm now with Jack 0.116, and it doesn't just crash jack, but freeze the whole system (not just Gnome, nothing is responding...)

12/23/08 09:44:30 changed by blindekinder

  • attachment syslog added.

(in reply to: ↑ 1 ) 12/23/08 09:46:53 changed by blindekinder

The syslog is an extract, in the exact moment when it happend

12/25/08 13:02:43 changed by ppalmers

this doesn't look very good... it seems that you have a kernel level issue. Can you post the output of ffado-diag?

12/26/08 16:00:27 changed by blindekinder

here is:

ffado-diag

Traceback (most recent call last):

File "/usr/local/bin/ffado-diag", line 30, in <module>

from listirqinfo import IRQ,SoftIRQ,IRQInfo

ImportError?: No module named listirqinfo

12/28/08 07:25:09 changed by ppalmers

The ffado-diag error is due to the fact that some files are not installed correctly by the installer. This will be fixed in the next release candidate. In the meantime, you can run the ffado-diag tool from the support/tools directory of the ffado source tree.

12/30/08 12:35:37 changed by sobukus

  • summary changed from Jack crashes after export in Ardour to Jack crashes after export in Ardour, or just on some Ardour crash.

I have something similar... perhaps related. I've got the same firewire box, FA-101, on a 64bit linux system. I have trouble with ardour2 crashing (a separate bug on their end...) and I am wondering why this also pushes jack to death:

JACK compiled with System V SHM support.
loading driver ..
libffado 1.999.41-1514M built Dec 29 2008 19:18:59
libiec61883 warning: Established connection on channel 0.
You may need to manually set the channel on the receiving node.
libiec61883 warning: Established connection on channel 1.
You may need to manually set the channel on the transmitting node.
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
subgraph starting at ardour timed out (subgraph_wait_fd=13, status = 0, state = Triggered, pollret = 0 revents = 0x0)
firewire ERR: wait status < 0! (= -1)
DRIVER NT: could not run driver cycle
jack main caught signal 12
no message buffer overruns

This is with libffado from svn (1.999.41-1514M built Dec 29 2008 19:18:59). That error about firewire wait status is also the mode of failure sometimes when starting jack; a power cycle of the FA-101 fixes that, usually. There is a question why the (single) client causes xruns on a system that is far from stressed and why they are not handled.

I am attaching my output of ffado-diag (which strangely does detect /dev/raw1394 but no firewire stack in my kernel) and a console log of jack with -v4.

12/30/08 12:36:46 changed by sobukus

  • attachment ardour-crash-jack-too.console added.

console output of jack while crashing with ardour

12/30/08 12:39:35 changed by sobukus

  • attachment ffado-diag.sobukus added.

ffado-diag output for sobukus' box

12/30/08 15:32:21 changed by sobukus

I have to give another +1 on the original report: Just now, after exporting a session, jack died on leaving freewheeling mode. Got no log of that... because I am wondering where the qjackctl window suddenly is gone to... crashed, too? Suspect that it looks the same.

12/31/08 08:07:24 changed by sobukus

I'd like to add the suspicion that it's actually jackd/ffado _causing_ the ardour crash (and disappearance of qjackctl). When running jackd with alsa I didn't have ardour crashing after export. Kindof scary that jackd may be able to kill all clients through some hickup, but that seems to be the case.

01/02/09 03:42:15 changed by blindekinder

  • attachment ffado-diag_blindekinder.txt added.

01/02/09 03:43:03 changed by blindekinder

Sorry, I found the problem causing complete crash of the system (I hope...): I had two version of jackd (/usr and /usr/local)... Now it crashes as explained in first description. Here is ffado-diag output (from source utilities). I use the FW E-card (Texas Instrument). I confirm it doesn't crash with ALSA...

01/13/09 07:59:34 changed by blindekinder

After a lot of tests, I post the ways system crash after export: -no crash after freewheeling, ffado start again, everything ok (rare) -Ardour shuts down, and jack stops -jack crashes and shuts down, ardour stays but "doesn't respond" and sometimes, after a few seconds, complete system hangs/freezes, "wild shut down" needed. -ardour and jackd crash, but impossible to restart jack (says "already running", but killall jackd doesn't resolve)... sometimes system hangs after restarting FA-101 Hope this will be helpfull Thank's

02/16/09 09:35:37 changed by blindekinder

I just compiled jack new version (jackdmp 1.9.1): still exactly the same problem.

03/21/09 09:38:00 changed by peppo

Same here, Saffire and jack 0.116.2, results in a crash and once even a total system freeze, after export (freewheel).

04/25/09 06:26:39 changed by ppalmers

  • status changed from new to closed.
  • resolution set to fixed.

the freewheeling issue should be fixed in the current SVN head of both the 2.0 branch and the trunk.